## kernellab 0.2.6

=== Makefile ===
#
#    kernellab - manage kernel configs for many machines easily
#    Copyright (C) 1999 Tommi Virtanen <tv@havoc.fi>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

PREFIX=/usr
SHARE=$(PREFIX)/share
MANDIR=$(DESTDIR)$(SHARE)/man/man1
BINDIR=$(DESTDIR)$(PREFIX)/bin
CONFDIR=$(DESTDIR)/etc

MAN=kernellab.1
BIN=kernellab
CONF=kernellab.conf

all: doc

doc: $(MAN) 

%.1: %
	pod2man $< >$@.tmp
	mv $@.tmp $@

install: all
	test -d $(MANDIR) || install -d -m0755 $(MANDIR)
	test -d $(BINDIR) || install -d -m0755 $(BINDIR)
	install -m0644 $(MAN) $(MANDIR)
	install -m0755 $(BIN) $(SCRIPT) $(BINDIR)
	test -d $(CONFDIR) || install -d -m0755 $(CONFDIR)
	install -m0644 $(CONF) $(CONFDIR)

clean:
	-rm -f *.1

## kernellab 0.2.2

=== debian/changelog ===
kernellab (0.2.2) unstable; urgency=low

  * Fix the config file finding (Closes: bug#50366).
  * Make the "moving images to" -info line be prettier.
  * Revisions are now unique across kernel versions.
    Thus compiling kernels 2.n.m and 2.n.m+1 won't give two 
    modules named foo_0.42+host.yyyymmdd.1, as the 2.n.m+1
    will have revision host.yyyymmdd.2

 -- Tommi Virtanen <tv@debian.org>  Tue, 16 Nov 1999 22:18:04 +0200

kernellab (0.2.1) unstable; urgency=low

  * Fixed zcat path (Closes: #49182).
  * Fix next_revision return value (Closes: #45021, #49193).
  * Make all references to ac versions consistent; now the dash is 
    always required. This means you may have to rename the patch
    files first (Closes: #49191).
  * Added support for creating a kernel-headers package (Closes: #46832).
  * Started to use a three-level version number.
  * Use make-kpkg configure instead of make oldconfig
  * Added file HACKING.
  * Made all file locations be searchable paths; writing will
    happen on the first writable path (Closes: #46110).

 -- Tommi Virtanen <tv@debian.org>  Mon, 15 Nov 1999 20:51:33 +0200

kernellab (0.2) unstable; urgency=low

  * Use /usr/bin/make-kpkg (Closes: #43392, #43993)
  * Depend on fakeroot (Closes: #43393)
  * Depend on kernel-package (Closes: #43993 also)
  * FHS transition.

 -- Tommi Virtanen <tv@debian.org>  Sun, 10 Oct 1999 20:52:23 +0300

kernellab (0.1) unstable; urgency=low

  * Initial Release.

 -- Tommi Virtanen <tv@debian.org>  Wed, 14 Jul 1999 02:05:36 +0300

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: kernellab
Section: misc
Priority: optional
Maintainer: Tommi Virtanen <tv@debian.org>
Standards-Version: 2.5.1

Package: kernellab
Architecture: any
Depends: perl5, fakeroot, kernel-package (>= 6.20)
Description: Manage kernel configs for many machines easily
 Kernellab allows you to manage kernel configurations
 for a large number of heterogenous machines relatively
 easily.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE	= $(shell perl -e 'print <> =~ /^(.*) \(.*\)/' debian/changelog)

build: build-stamp
build-stamp:
	test -e debian/control
	$(MAKE)
	touch build-stamp

clean:
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -f build-stamp install-stamp
	make clean
	rm -rf debian/substvars debian/files debian/tmp

install: install-stamp
install-stamp: build-stamp
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -f debian/substvars
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	touch install-stamp

binary-indep: build install

binary-arch: build install
	test -e debian/control
	test root = "`whoami`" || (echo need root priviledges; exit 1)
	rm -rf debian/substvars debian/tmp
	make install DESTDIR="`pwd`/debian/tmp"
	install -d --mode=0755 \
		"debian/tmp/var/state/kernellab" \
		"debian/tmp/var/state/kernellab/kernels" \
		"debian/tmp/var/state/kernellab/alancox" \
		"debian/tmp/var/state/kernellab/modules" \
		"debian/tmp/var/state/kernellab/images" \
		"debian/tmp/var/state/kernellab/configs"
	install -d --mode=0755 "debian/tmp/usr/share/doc/$(PACKAGE)"
	install --mode=0644 debian/copyright \
		README TODO HACKING \
		"debian/tmp/usr/share/doc/$(PACKAGE)"
	gzip -9 "debian/tmp/usr/share/doc/$(PACKAGE)/README" \
		"debian/tmp/usr/share/doc/$(PACKAGE)/TODO"
	gzip -9 debian/tmp/usr/share/man/man1/*
	install --mode=0644 debian/changelog \
		"debian/tmp/usr/share/doc/$(PACKAGE)/changelog"
	gzip -9 debian/tmp/usr/share/doc/"$(PACKAGE)"/changelog
	install -d --mode=0755 debian/tmp/DEBIAN
	echo /etc/kernellab.conf >debian/tmp/DEBIAN/conffiles
	install -m 755 debian/postinst debian/prerm debian/tmp/DEBIAN
	dpkg-gencontrol
	dpkg --build debian/tmp ..

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## kernellab 0.2.6

=== debian/changelog ===
kernellab (0.2.6) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat, 21 Aug 2004 16:39:49 -0700

kernellab (0.2.5) unstable; urgency=low

  * Make it architecture: all. Can't believe that slipped
    by this long.

 -- Tommi Virtanen <tv@debian.org>  Tue, 19 Sep 2000 21:36:42 +0300

kernellab (0.2.4) unstable; urgency=low

  * Make created kernel packages have an epoch of 1. Ugly.

 -- Tommi Virtanen <tv@debian.org>  Mon, 18 Sep 2000 19:37:31 +0300

kernellab (0.2.3) unstable; urgency=low

  * Use dpkg-gencontrol -isp to get Section and Priority in the deb.
  * Upgraded to policy 3.1.1

 -- Tommi Virtanen <tv@debian.org>  Thu,  4 May 2000 21:32:34 +0300

=== debian/control ===
Source: kernellab
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.1.1

Package: kernellab
Architecture: all
Depends: perl5, fakeroot, kernel-package (>= 6.20)
Description: Manage kernel configs for many machines easily
 Kernellab allows you to manage kernel configurations
 for a large number of heterogenous machines relatively
 easily.

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,6 @@
 	touch install-stamp
 
 binary-indep: build install
-
-binary-arch: build install
 	test -e debian/control
 	test root = "`whoami`" || (echo need root priviledges; exit 1)
 	rm -rf debian/substvars debian/tmp
@@ -41,8 +39,11 @@
 	install --mode=0644 debian/copyright \
 		README TODO HACKING \
 		"debian/tmp/usr/share/doc/$(PACKAGE)"
+	install --mode=0644 debian/README \
+		"debian/tmp/usr/share/doc/$(PACKAGE)/README.Debian"
 	gzip -9 "debian/tmp/usr/share/doc/$(PACKAGE)/README" \
-		"debian/tmp/usr/share/doc/$(PACKAGE)/TODO"
+		"debian/tmp/usr/share/doc/$(PACKAGE)/TODO" \
+		"debian/tmp/usr/share/doc/$(PACKAGE)/README.Debian"
 	gzip -9 debian/tmp/usr/share/man/man1/*
 	install --mode=0644 debian/changelog \
 		"debian/tmp/usr/share/doc/$(PACKAGE)/changelog"
@@ -50,8 +51,10 @@
 	install -d --mode=0755 debian/tmp/DEBIAN
 	echo /etc/kernellab.conf >debian/tmp/DEBIAN/conffiles
 	install -m 755 debian/postinst debian/prerm debian/tmp/DEBIAN
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..
+
+binary-arch: build install
 
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
